﻿#language: ru

@cheese_maker

Функционал: 07_cheeseMaker.01.007 Заполнение справочника учетных точек и кнопок учетных точек

Сценарий: 07_cheeseMaker.01.007 Создание учетной точки Пост сыровара
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Пост сыровара'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Учет только ингредиентов'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Расход ингредиентов'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пост сыровара (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Учет вместе со смесью, без выпуска'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И я устанавливаю флаг 'Указывать основной материал'
	И я устанавливаю флаг 'Расход ингредиентов'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'сы'
	И из выпадающего списка "Склад-отправитель" я выбираю по строке 'сы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пост сыровара (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Учет со смесью с выпуском'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И я устанавливаю флаг 'Указывать основной материал'
	И я устанавливаю флаг 'Расход ингредиентов'
	И я устанавливаю флаг 'Создавать выпуск основного материала'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'сы'
	И из выпадающего списка "Склад-отправитель" я выбираю по строке 'сы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пост сыровара (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Этапы варки'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Указывать параметры тех. процесса'
	И из выпадающего списка "Вид анализа" я выбираю по строке 'этапы'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'сы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пост сыровара (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Пост сыровара (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 07_cheeseMaker.01.007 Создание учетной точки Наборка по рецептуре, наборка на тарах с выпуском и без
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Наборка по рецептуре'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Наборка'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выполнять наборку по рецептуре'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Подбирать серию материала по FIFO'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я устанавливаю флаг 'Печатать этикетки пакетов'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборка по рецептуре (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Наборка по рецептуре (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'